Duplicate a category
curl --request POST \
--url https://app.papelship.com/api/v1/categories/{id}/duplicate \
--header 'x-api-key: <api-key>' \
--header 'x-store-hash: <api-key>'const options = {
method: 'POST',
headers: {'x-api-key': '<api-key>', 'x-store-hash': '<api-key>'}
};
fetch('https://app.papelship.com/api/v1/categories/{id}/duplicate', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://app.papelship.com/api/v1/categories/{id}/duplicate"
headers = {
"x-api-key": "<api-key>",
"x-store-hash": "<api-key>"
}
response = requests.post(url, headers=headers)
print(response.text)<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.papelship.com/api/v1/categories/{id}/duplicate",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_HTTPHEADER => [
"x-api-key: <api-key>",
"x-store-hash: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://app.papelship.com/api/v1/categories/{id}/duplicate"
req, _ := http.NewRequest("POST", url, nil)
req.Header.Add("x-api-key", "<api-key>")
req.Header.Add("x-store-hash", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"success": true,
"category": {
"id": 23,
"object": "category",
"name": "Games",
"slug": "games",
"icon": "<string>",
"active": true,
"parent_id": 123,
"position": 0,
"product_count": 3,
"product_ids": [
123
],
"created_at": "2026-10-04T12:00:00.000Z",
"updated_at": "2026-10-04T12:00:00.000Z"
},
"products": [
{
"id": 123,
"hash_id": "a1B2c3D4e5F6",
"name": "Pro License",
"slug": "pro-license"
}
]
}{
"success": false,
"code": "INVALID_API_KEY",
"error": "Invalid API Key",
"request_id": "req_7YbK2mQ9xP1cRt4v"
}{
"success": false,
"code": "INSUFFICIENT_SCOPE",
"error": "This API key needs the orders:write permission",
"request_id": "req_7YbK2mQ9xP1cRt4v"
}{
"success": false,
"code": "NOT_FOUND",
"error": "Invoice not found",
"request_id": "req_7YbK2mQ9xP1cRt4v"
}{
"success": false,
"code": "RATE_LIMITED",
"error": "Too many requests. The limit is 300 requests per minute per key.",
"request_id": "req_7YbK2mQ9xP1cRt4v"
}Categories
Duplicate a category
Creates a copy named “… (Copy)” with the same products.
Permission: catalog:write
POST
/
categories
/
{id}
/
duplicate
Duplicate a category
Authorizations
Your Store API key (pk_live_...). Create it in Developers › API keys.
The ID of the store the request is for. Shown in Developers › API keys.
Headers
Unique key (for example a UUID) that makes retries safe. The first response is stored for 24 hours and replayed for retries with the same key and body.
Maximum string length:
255Path Parameters
Category ID.
Example:
"23"